## gmsh 2.5.0.dfsg

=== CMakeLists.txt ===
# Gmsh - Copyright (C) 1997-2010 C. Geuzaine, J.-F. Remacle
#
# See the LICENSE.txt file for license information. Please report all
# bugs and problems to <gmsh@geuz.org>.

cmake_minimum_required(VERSION 2.6 FATAL_ERROR)

# if CMAKE_BUILD_TYPE is specified use it; otherwise set the default
# build type to "RelWithDebInfo" ("-O2 -g" with gcc) prior to calling
# project()
if(DEFINED CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING "Choose build type")
else(DEFINED CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING "Choose build type")
endif(DEFINED CMAKE_BUILD_TYPE)

project(gmsh CXX C)

option(ENABLE_ANN "Enable ANN to compute Approximate Nearest Neighbors" ON)
option(ENABLE_BLAS_LAPACK "Use BLAS/Lapack for basic linear algebra" ON)
option(ENABLE_CGNS "Enable CGNS mesh export" OFF)
option(ENABLE_CHACO "Enable Chaco mesh partitioner" ON)
option(ENABLE_DINTEGRATION "Enable discrete integration and levelsets" ON)
option(ENABLE_FLTK "Build FLTK GUI" ON)
option(ENABLE_FL_TREE "Enable FLTK tree browser widget" ON)
option(ENABLE_FOURIER_MODEL "Enable Fourier geometrical models" OFF)
option(ENABLE_GMM "Enable GMM linear algebra solvers" ON)
option(ENABLE_GRAPHICS "Compile-in OpenGL graphics even if there is no GUI" OFF)
option(ENABLE_KBIPACK "Enable Kbipack for homology solver" ON)
option(ENABLE_LUA "Enable the Programming Language Lua " ON)
option(ENABLE_MATCH "Enable Minimum cost perfect matching algo" ON)
option(ENABLE_MATHEX "Enable MathEx expression parser" ON)
option(ENABLE_MED "Enable MED mesh and post-processing file formats" ON)
option(ENABLE_MESH "Build the mesh module" ON)
option(ENABLE_METIS "Enable Metis mesh partitioner" ON)
option(ENABLE_MPEG_ENCODE "Enable built-in MPEG encoder" ON)
option(ENABLE_MPI "Enable MPI parallelization" OFF)
option(ENABLE_MSVC_STATIC_RUNTIME "Use static Visual C++ runtime" OFF)
option(ENABLE_NATIVE_FILE_CHOOSER "Enable native file chooser in GUI" ON)
option(ENABLE_NETGEN "Enable Netgen mesh generator" ON)
option(ENABLE_BAMG "Enable Bamg mesh generator" ON)
option(ENABLE_OCC "Enable Open CASCADE geometrical models" ON)
option(ENABLE_ACIS "Enable ACIS geometrical models" ON)
option(ENABLE_OSMESA "Use OSMesa for offscreen rendering" OFF)
option(ENABLE_PARSER "Build the GEO file parser" ON)
option(ENABLE_PETSC "Enable PETSc linear algebra solvers" ON)
option(ENABLE_POST "Build the post-processing module" ON)
option(ENABLE_PLUGINS "Build the post-processing plugins" ON)
option(ENABLE_QT "Build QT GUI" OFF)
option(ENABLE_READLINE "Enable Readline in Lua prompt" ON)
option(ENABLE_SLEPC "Enable SLEPc eigensolvers" ON)
option(ENABLE_SOLVER "Enable solver components" ON)
option(ENABLE_TAUCS "Enable Taucs linear algebra solver" ON)
option(ENABLE_TETGEN "Enable Tetgen mesh generator" ON)
option(ENABLE_TETGEN_NEW "Enable experimental version of Tetgen" OFF)

set(GMSH_MAJOR_VERSION 2)
set(GMSH_MINOR_VERSION 5)
set(GMSH_PATCH_VERSION 0)
set(GMSH_EXTRA_VERSION "" CACHE STRING "Gmsh extra version string")

set(GMSH_VERSION "${GMSH_MAJOR_VERSION}.${GMSH_MINOR_VERSION}")
set(GMSH_VERSION "${GMSH_VERSION}.${GMSH_PATCH_VERSION}${GMSH_EXTRA_VERSION}")
set(GMSH_SHORT_LICENSE "GNU General Public License")

set(GMSH_API
  ${CMAKE_CURRENT_BINARY_DIR}/Common/GmshConfig.h 
  ${CMAKE_CURRENT_BINARY_DIR}/Common/GmshVersion.h
  Common/Gmsh.h Common/GmshDefines.h Common/GmshMessage.h Common/VertexArray.h
  Numeric/Numeric.h Numeric/Gauss.h Numeric/polynomialBasis.h
    Numeric/JacobianBasis.h Numeric/fullMatrix.h
    Numeric/simpleFunction.h Numeric/cartesian.h
  Geo/GModel.h Geo/GEntity.h Geo/GPoint.h Geo/GVertex.h Geo/GEdge.h 
    Geo/GFace.h Geo/GRegion.h Geo/GEdgeLoop.h Geo/GEdgeCompound.h 
    Geo/GFaceCompound.h Geo/GRegionCompound.h Geo/MVertex.h Geo/MEdge.h 
    Geo/MFace.h Geo/MElement.h Geo/MPoint.h Geo/MLine.h Geo/MTriangle.h 
    Geo/MQuadrangle.h Geo/MTetrahedron.h Geo/MHexahedron.h Geo/MPrism.h 
    Geo/MPyramid.h Geo/MElementCut.h Geo/discreteVertex.h Geo/discreteEdge.h
    Geo/discreteFace.h Geo/discreteRegion.h Geo/SPoint2.h Geo/SPoint3.h
    Geo/SVector3.h Geo/STensor3.h Geo/SBoundingBox3d.h Geo/Pair.h Geo/Range.h 
    Geo/SOrientedBoundingBox.h Geo/CellComplex.h Geo/ChainComplex.h Geo/Cell.h
    Geo/Homology.h
  Mesh/meshGEdge.h Mesh/meshGFace.h Mesh/meshGFaceOptimize.h 
    Mesh/meshGFaceDelaunayInsertion.h
  Solver/dofManager.h Solver/femTerm.h Solver/laplaceTerm.h Solver/elasticityTerm.h
    Solver/crossConfTerm.h Solver/orthogonalTerm.h
    Solver/linearSystem.h Solver/linearSystemGMM.h Solver/linearSystemCSR.h 
    Solver/linearSystemFull.h Solver/elasticitySolver.h
  Post/PView.h Post/PViewData.h Plugin/PluginManager.h
  Graphics/drawContext.h
  contrib/kbipack/gmp_normal_form.h contrib/kbipack/gmp_matrix.h 
    contrib/kbipack/gmp_blas.h contrib/kbipack/mpz.h
  contrib/DiscreteIntegration/DILevelset.h)

execute_process(COMMAND date "+%Y%m%d" OUTPUT_VARIABLE DATE 
                OUTPUT_STRIP_TRAILING_WHITESPACE)
execute_process(COMMAND hostname OUTPUT_VARIABLE HOSTNAME 
                OUTPUT_STRIP_TRAILING_WHITESPACE)
execute_process(COMMAND whoami OUTPUT_VARIABLE PACKAGER 
                OUTPUT_STRIP_TRAILING_WHITESPACE)

if(NOT DATE)
  set(DATE "unknown")
endif(NOT DATE)
set(GMSH_DATE "${DATE}")

if(NOT HOSTNAME)
  set(HOSTNAME "unknown")
endif(NOT HOSTNAME)
set(GMSH_HOST "${HOSTNAME}")

if(NOT PACKAGER)
  set(PACKAGER "unknown")
endif(NOT PACKAGER)
set(GMSH_PACKAGER "${PACKAGER}")

if(APPLE)
  set(GMSH_OS "MacOSX")
elseif(CYGWIN)
  set(GMSH_OS "Windows")
else(APPLE)
  set(GMSH_OS "${CMAKE_SYSTEM_NAME}")
endif(APPLE)

include(CheckTypeSize)
include(CheckFunctionExists)
include(CheckIncludeFile)

if(MSVC)
  # remove really annoying (and stupid, and wrong) warning about
  # bool/int cast performance in Visual C++
  set(GMSH_CONFIG_PRAGMAS "#pragma warning(disable:4800)")
  if(ENABLE_MSVC_STATIC_RUNTIME)
    foreach(VAR
            CMAKE_CXX_FLAGS CMAKE_CXX_FLAGS_DEBUG CMAKE_CXX_FLAGS_RELEASE
            CMAKE_CXX_FLAGS_MINSIZEREL CMAKE_CXX_FLAGS_RELWITHDEBINFO
            CMAKE_C_FLAGS CMAKE_C_FLAGS_DEBUG CMAKE_C_FLAGS_RELEASE
            CMAKE_C_FLAGS_MINSIZEREL CMAKE_C_FLAGS_RELWITHDEBINFO)
      if(${VAR} MATCHES "/MD")
        string(REGEX REPLACE "/MD" "/MT" ${VAR} "${${VAR}}")
      endif(${VAR} MATCHES "/MD")
    endforeach(VAR)
  endif(ENABLE_MSVC_STATIC_RUNTIME)
endif(MSVC)

macro(append_gmsh_src DIRNAME FILES)
  foreach(FILE ${FILES})
    list(APPEND LIST ${DIRNAME}/${FILE})
  endforeach(FILE)
  set(GMSH_SRC ${GMSH_SRC};${LIST} PARENT_SCOPE)
  set(GMSH_DIRS ${GMSH_DIRS};${DIRNAME} PARENT_SCOPE)
endmacro(append_gmsh_src)

macro(find_all_libraries VARNAME LISTNAME PATH SUFFIX)
  set(${VARNAME})
  list(LENGTH ${LISTNAME} NUM_LIST)
  foreach(LIB ${${LISTNAME}})
    find_library(FOUND_LIB ${LIB} PATHS ${PATH} PATH_SUFFIXES ${SUFFIX})
    if(FOUND_LIB)
      list(APPEND ${VARNAME} ${FOUND_LIB})
    endif(FOUND_LIB)
    set(FOUND_LIB FOUND_LIB-NOTFOUND CACHE INTERNAL "")
    # unset(FOUND_LIB CACHE) # cleaner, but only available in cmake >= 2.6.4
  endforeach(LIB)
  list(LENGTH ${VARNAME} NUM_FOUND_LIBRARIES)
  if(NUM_FOUND_LIBRARIES LESS NUM_LIST)
    set(${VARNAME})
  endif(NUM_FOUND_LIBRARIES LESS NUM_LIST)
endmacro(find_all_libraries)

macro(set_config_option VARNAME STRING)
  set(${VARNAME} TRUE)
  list(APPEND CONFIG_OPTIONS ${STRING})
  message(STATUS "Found " ${STRING})
endmacro(set_config_option)

# check if the machine is 64 bits (this is more reliable than using
# CMAKE_SIZEOF_VOID_P, which does not seem to work e.g. on some Suse
# machines)
check_type_size("void*" SIZEOF_VOID_P)
if(SIZEOF_VOID_P EQUAL 8)
  set_config_option(HAVE_64BIT_SIZE_T "Have64BitSizeT")
endif(SIZEOF_VOID_P EQUAL 8)

if(ENABLE_BLAS_LAPACK)
  if(MSVC)
    # on Windows with Visual C++ try really hard to find blas/lapack
    # *without* requiring a Fortran compiler: 1) try to find the Intel
    # MKL libs using the standard search path; if not found 2) try to
    # get the reference blas/lapack libs (useful for users with no
    # Fortran compiler and no MKL license, who can just download our
    # precompiled "gmsh-dep" package)
    if(HAVE_64BIT_SIZE_T)
      set(MKL_PATH em64t/lib)
    else(HAVE_64BIT_SIZE_T)
      set(MKL_PATH ia32/lib)
    endif(HAVE_64BIT_SIZE_T)
    set(MKL_LIBS_REQUIRED libguide40 mkl_intel_c mkl_intel_thread mkl_core)
    find_all_libraries(LAPACK_LIBRARIES MKL_LIBS_REQUIRED "" ${MKL_PATH})
    if(LAPACK_LIBRARIES)
      set_config_option(HAVE_BLAS "Blas(IntelMKL)")
      set_config_option(HAVE_LAPACK "Lapack(IntelMKL)")
    else(LAPACK_LIBRARIES)
      set(REFLAPACK_LIBS_REQUIRED lapack blas g2c gcc)
      find_all_libraries(LAPACK_LIBRARIES REFLAPACK_LIBS_REQUIRED "" "")
      if(LAPACK_LIBRARIES)
        set_config_option(HAVE_BLAS "Blas(Ref)")
        set_config_option(HAVE_LAPACK "Lapack(Ref)")
      endif(LAPACK_LIBRARIES)
    endif(LAPACK_LIBRARIES)
  elseif(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    # on Linux try to find the Intel MKL without a Fortran compiler
    if(HAVE_64BIT_SIZE_T)
      set(MKL_PATH lib/em64t)
    else(HAVE_64BIT_SIZE_T)
      set(MKL_PATH lib/32)
    endif(HAVE_64BIT_SIZE_T)
    set(MKL_LIBS_REQUIRED mkl_gf_lp64 iomp5 mkl_gnu_thread mkl_core guide pthread)
    find_all_libraries(LAPACK_LIBRARIES MKL_LIBS_REQUIRED "" ${MKL_PATH})
    if(LAPACK_LIBRARIES)
      set_config_option(HAVE_BLAS "Blas(IntelMKL)")
      set_config_option(HAVE_LAPACK "Lapack(IntelMKL)")
    else(LAPACK_LIBRARIES)
      # on Linux also try to find ATLAS without a Fortran compiler,
      # because cmake ships with a buggy FindBLAS e.g. on Ubuntu Lucid
      # Lynx
      set(ATLAS_LIBS_REQUIRED lapack f77blas cblas atlas)
      find_all_libraries(LAPACK_LIBRARIES ATLAS_LIBS_REQUIRED "" "")
      if(LAPACK_LIBRARIES)
        set_config_option(HAVE_BLAS "Blas(ATLAS)")
        set_config_option(HAVE_LAPACK "Lapack(ATLAS)")
      endif(LAPACK_LIBRARIES)
    endif(LAPACK_LIBRARIES)
  elseif(${CMAKE_SYSTEM_NAME} MATCHES "SunOS")
    # on SunOS we know blas and lapack are available in sunperf
    set(LAPACK_FLAGS -library=sunperf)
    set_config_option(HAVE_BLAS "Blas(SubPerf)")
    set_config_option(HAVE_LAPACK "Lapack(SunPerf)")
  elseif(APPLE)
    # on Mac we also know that blas and lapack are available
    set(LAPACK_LIBRARIES "-framework vecLib")
    set_config_option(HAVE_BLAS "Blas(VecLib)")
    set_config_option(HAVE_LAPACK "Lapack(VecLib)")
  endif(MSVC)
  if(NOT HAVE_BLAS OR NOT HAVE_LAPACK)
    # if we haven't found blas and lapack without using the standard
    # cmake tests, do it (this requires a working Fortran compiler)
    enable_language(Fortran)
    find_package(BLAS)
    if(BLAS_FOUND)
      set_config_option(HAVE_BLAS "Blas")
      find_package(LAPACK)
      if(LAPACK_FOUND)
        set_config_option(HAVE_LAPACK "Lapack")
      else(LAPACK_FOUND)
        set(LAPACK_LIBRARIES ${BLAS_LIBRARIES})
      endif(LAPACK_FOUND)
      if(CMAKE_Fortran_COMPILER_ID MATCHES "GNU")
        if(CMAKE_Fortran_COMPILER MATCHES "gfortran")
          list(APPEND LAPACK_LIBRARIES gfortran)
        elseif(CMAKE_Fortran_COMPILER MATCHES "f95")
          list(APPEND LAPACK_LIBRARIES gfortran)
        elseif(CMAKE_Fortran_COMPILER MATCHES "g77")
          list(APPEND LAPACK_LIBRARIES g2c)
        endif(CMAKE_Fortran_COMPILER MATCHES "gfortran")
      endif(CMAKE_Fortran_COMPILER_ID MATCHES "GNU")
    endif(BLAS_FOUND)
  endif(NOT HAVE_BLAS OR NOT HAVE_LAPACK)
  if(NOT HAVE_BLAS OR NOT HAVE_LAPACK)
    message("WARNING: Could not find Blas or Lapack: most meshing algorithms "
            "will not be functional")
  endif(NOT HAVE_BLAS OR NOT HAVE_LAPACK)
endif(ENABLE_BLAS_LAPACK)

add_subdirectory(Common)
add_subdirectory(Numeric)
add_subdirectory(Geo)

if(ENABLE_MESH)
  add_subdirectory(Mesh)
  set_config_option(HAVE_MESH "Mesh")
endif(ENABLE_MESH)

if(ENABLE_SOLVER)
  add_subdirectory(Solver)
  set_config_option(HAVE_SOLVER "Solver")
endif(ENABLE_SOLVER)

if(ENABLE_POST)
  add_subdirectory(Post)

=== Common/CMakeLists.txt ===
# Gmsh - Copyright (C) 1997-2010 C. Geuzaine, J.-F. Remacle
#
# See the LICENSE.txt file for license information. Please report all
# bugs and problems to <gmsh@geuz.org>.

set(SRC
  Gmsh.cpp
    GmshRemote.cpp
    GmshMessage.cpp
  Context.cpp
  Options.cpp
  CommandLine.cpp
  OS.cpp
  OpenFile.cpp
  CreateFile.cpp
  LuaBindings.cpp
  VertexArray.cpp
  SmoothData.cpp
  Octree.cpp 
    OctreeInternals.cpp
  StringUtils.cpp
  ListUtils.cpp
  TreeUtils.cpp avl.cpp
  MallocUtils.cpp
  ConnectionManager.cpp
  Bindings.cpp
)

file(GLOB HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h) 
append_gmsh_src(Common "${SRC};${HDR}")

=== Fltk/CMakeLists.txt ===
# Gmsh - Copyright (C) 1997-2010 C. Geuzaine, J.-F. Remacle
#
# See the LICENSE.txt file for license information. Please report all
# bugs and problems to <gmsh@geuz.org>.

set(SRC
  FlGui.cpp
    graphicWindow.cpp
      openglWindow.cpp
    menuWindow.cpp
    optionWindow.cpp
      colorbarWindow.cpp
    fieldWindow.cpp
    pluginWindow.cpp
    statisticsWindow.cpp
    visibilityWindow.cpp
    clippingWindow.cpp
    messageWindow.cpp
    manipWindow.cpp
    contextWindow.cpp
    solverWindow.cpp
    aboutWindow.cpp
    fileDialogs.cpp
    extraDialogs.cpp
    projectionEditor.cpp
    classificationEditor.cpp
    partitionDialog.cpp
)

file(GLOB HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h) 
append_gmsh_src(Fltk "${SRC};${HDR}")

=== Geo/CMakeLists.txt ===
# Gmsh - Copyright (C) 1997-2010 C. Geuzaine, J.-F. Remacle
#
# See the LICENSE.txt file for license information. Please report all
# bugs and problems to <gmsh@geuz.org>.

set(SRC
  GEntity.cpp STensor3.cpp
    GVertex.cpp GEdge.cpp GFace.cpp GRegion.cpp
    GEdgeLoop.cpp GEdgeCompound.cpp GFaceCompound.cpp GRegionCompound.cpp
    gmshVertex.cpp gmshEdge.cpp gmshFace.cpp gmshRegion.cpp gmshSurface.cpp
    OCCVertex.cpp OCCEdge.cpp OCCFace.cpp OCCRegion.cpp
    discreteEdge.cpp discreteFace.cpp discreteRegion.cpp
    fourierEdge.cpp fourierFace.cpp fourierProjectionFace.cpp
  ACISVertex.cpp
  ACISEdge.cpp
  ACISFace.cpp
  GModel.cpp
  GModelFactory.cpp
    GModelIO_Geo.cpp
    GModelIO_Mesh.cpp
    GModelIO_OCC.cpp
    GModelIO_ACIS.cpp
      OCC_Connect.cpp
    GModelIO_Fourier.cpp
    GModelIO_CGNS.cpp
    GModelIO_MED.cpp
  ExtrudeParams.cpp
  Geo.cpp
  GeoStringInterface.cpp GeoInterpolation.cpp
  findLinks.cpp
  SOrientedBoundingBox.cpp
  GeomMeshMatcher.cpp
  MVertex.cpp
  MFace.cpp
  MElement.cpp MElementOctree.cpp
    MLine.cpp MTriangle.cpp MQuadrangle.cpp MTetrahedron.cpp
    MHexahedron.cpp MPrism.cpp MPyramid.cpp MElementCut.cpp
  MZone.cpp MZoneBoundary.cpp
  Cell.cpp CellComplex.cpp ChainComplex.cpp Homology.cpp
)

file(GLOB HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h) 
append_gmsh_src(Geo "${SRC};${HDR}")

=== Graphics/CMakeLists.txt ===
# Gmsh - Copyright (C) 1997-2010 C. Geuzaine, J.-F. Remacle
#
# See the LICENSE.txt file for license information. Please report all
# bugs and problems to <gmsh@geuz.org>.

set(SRC
  Trackball.cpp 
  ReadImg.cpp 
  drawContext.cpp 
  drawMesh.cpp 
  drawGeom.cpp 
  drawPost.cpp 
  drawAxes.cpp 
  drawScales.cpp 
  drawGraph2d.cpp 
  drawGlyph.cpp 
  gl2ps.cpp
  gl2gif.cpp
  gl2jpeg.cpp
  gl2png.cpp
  gl2ppm.cpp
  gl2yuv.cpp
)

file(GLOB HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h) 
append_gmsh_src(Graphics "${SRC};${HDR}")

=== Mesh/CMakeLists.txt ===
# Gmsh - Copyright (C) 1997-2010 C. Geuzaine, J.-F. Remacle
#
# See the LICENSE.txt file for license information. Please report all
# bugs and problems to <gmsh@geuz.org>.

set(SRC
  Generator.cpp
  Field.cpp
    meshGEdge.cpp 
      meshGEdgeExtruded.cpp
    meshGFace.cpp 
      meshGFaceTransfinite.cpp meshGFaceExtruded.cpp 
      meshGFaceBamg.cpp meshGFaceBDS.cpp meshGFaceDelaunayInsertion.cpp 
      meshGFaceLloyd.cpp meshGFaceOptimize.cpp 
      meshGFaceQuadrilateralize.cpp meshGFaceBoundaryLayer.cpp 
    meshGRegion.cpp 
      meshGRegionDelaunayInsertion.cpp meshGRegionTransfinite.cpp 
      meshGRegionExtruded.cpp  meshGRegionCarveHole.cpp 
      meshGRegionLocalMeshMod.cpp
    BackgroundMesh.cpp 
    qualityMeasures.cpp 
    BoundaryLayers.cpp 
    BDS.cpp 
    HighOrder.cpp 
      highOrderSmoother.cpp 
    meshPartition.cpp 
    meshRefine.cpp
    multiscalePartition.cpp
)

file(GLOB HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h) 
append_gmsh_src(Mesh "${SRC};${HDR}")

=== Numeric/CMakeLists.txt ===
# Gmsh - Copyright (C) 1997-2010 C. Geuzaine, J.-F. Remacle
#
# See the LICENSE.txt file for license information. Please report all
# bugs and problems to <gmsh@geuz.org>.

set(SRC
  Numeric.cpp
    fullMatrix.cpp
    polynomialBasis.cpp
    JacobianBasis.cpp
  GaussQuadratureLin.cpp
    GaussQuadratureTri.cpp
    GaussQuadratureQuad.cpp
    GaussQuadratureTet.cpp
    GaussQuadratureHex.cpp
    GaussQuadraturePri.cpp
    GaussLegendreSimplex.cpp
    Gauss.cpp
  robustPredicates.cpp
  mathEvaluator.cpp
  Iso.cpp
  DivideAndConquer.cpp
)

file(GLOB HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h) 
append_gmsh_src(Numeric "${SRC};${HDR}")

=== Parser/CMakeLists.txt ===
# Gmsh - Copyright (C) 1997-2010 C. Geuzaine, J.-F. Remacle
#
# See the LICENSE.txt file for license information. Please report all
# bugs and problems to <gmsh@geuz.org>.

set(SRC
  Gmsh.tab.cpp
  Gmsh.yy.cpp
  FunctionManager.cpp
)

file(GLOB HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h) 
append_gmsh_src(Parser "${SRC};${HDR}")

=== Plugin/CMakeLists.txt ===
# Gmsh - Copyright (C) 1997-2010 C. Geuzaine, J.-F. Remacle
#
# See the LICENSE.txt file for license information. Please report all
# bugs and problems to <gmsh@geuz.org>.

set(SRC
  Plugin.cpp PluginManager.cpp
  Levelset.cpp
    CutPlane.cpp CutSphere.cpp Isosurface.cpp 
  Smooth.cpp CutParametric.cpp
  Lambda2.cpp
  Eigenvectors.cpp Eigenvalues.cpp
  StreamLines.cpp Particles.cpp CutGrid.cpp
  Transform.cpp
    LongitudeLatitude.cpp
  Triangulate.cpp Tetrahedralize.cpp
  Warp.cpp SphericalRaise.cpp
  Skin.cpp GSHHS.cpp 
  MathEval.cpp ModifyComponent.cpp ExtractElements.cpp
  MakeSimplex.cpp
  Integrate.cpp Gradient.cpp Curl.cpp Divergence.cpp
  Annotate.cpp Remove.cpp
  Probe.cpp MinMax.cpp
  HarmonicToTime.cpp ModulusPhase.cpp
  HomologyComputation.cpp
  Distance.cpp ExtractEdges.cpp NearestNeighbor.cpp
  AnalyseCurvedMesh.cpp
)

file(GLOB HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h) 
append_gmsh_src(Plugin "${SRC};${HDR}")

=== Post/CMakeLists.txt ===
# Gmsh - Copyright (C) 1997-2010 C. Geuzaine, J.-F. Remacle
#
# See the LICENSE.txt file for license information. Please report all
# bugs and problems to <gmsh@geuz.org>.

set(SRC
  PView.cpp PViewIO.cpp PViewVertexArrays.cpp
    PViewData.cpp PViewDataIO.cpp
      PViewDataList.cpp PViewDataListIO.cpp
      PViewDataGModel.cpp PViewDataGModelIO.cpp
    PViewOptions.cpp
    PViewFactory.cpp
  adaptiveData.cpp shapeFunctions.cpp
  OctreePost.cpp
  ColorTable.cpp
)

file(GLOB HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h) 
append_gmsh_src(Post "${SRC};${HDR}")

=== Qt/CMakeLists.txt ===
# Gmsh - Copyright (C) 1997-2010 C. Geuzaine, J.-F. Remacle
#
# See the LICENSE.txt file for license information. Please report all
# bugs and problems to <gmsh@geuz.org>.

set(SRC
  QGui.cpp
  GLWidget.cpp
  graphicWindow.cpp
)

set(MOC_HDR
  GLWidget.h
  graphicWindow.h
)

file(GLOB HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h) 
append_gmsh_src(Qt "${SRC};${HDR}")

foreach(FILE ${MOC_HDR})
  list(APPEND MOC_LIST Qt/${FILE})
endforeach(FILE)
set(GMSH_MOC_HDR ${GMSH_MOC_HDR};${MOC_LIST} PARENT_SCOPE)

=== Solver/CMakeLists.txt ===
# Gmsh - Copyright (C) 1997-2010 C. Geuzaine, J.-F. Remacle
#
# See the LICENSE.txt file for license information. Please report all
# bugs and problems to <gmsh@geuz.org>.

set(SRC
  linearSystem.cpp
  linearSystemCSR.cpp
  linearSystemPETSc.cpp
  groupOfElements.cpp
  elasticityTerm.cpp
  elasticitySolver.cpp
  SElement.cpp
  eigenSolver.cpp
  multiscaleLaplace.cpp
  function.cpp
  functionDerivator.cpp
  luaFunction.cpp
  functionSpace.cpp
  filters.cpp
)

file(GLOB HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h) 
append_gmsh_src(Solver "${SRC};${HDR}")

=== debian/changelog ===
gmsh (2.5.0.dfsg-8) unstable; urgency=low

  * [7f7164f] Add platform restriction for libmedc-dev (Closes: #623561)
  * [1718816] Standards-Version: 3.9.2 (no changes)
  * [6de2ed7] Update VCS-field to git-repo
  * [f7cd0da] Add DM-Upload-Allowed field
  * [72abecd] Delete quilt from BD

 -- Anton Gladky <gladky.anton@gmail.com>  Wed, 25 May 2011 22:31:48 +0200

gmsh (2.5.0.dfsg-7) unstable; urgency=low

  * Fix FTBFS on some platforms due to missing space between
      libhdf5-mpi-dev and platform list

 -- Anton Gladky <gladky.anton@gmail.com>  Wed, 13 Apr 2011 20:40:54 +0100

gmsh (2.5.0.dfsg-6) unstable; urgency=low

  * enable med-support only on platforms, where libhdf5-openmpi-dev is 
    available: 
    alpha amd64 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc sparc

 -- Anton Gladky <gladky.anton@gmail.com>  Sat, 02 Apr 2011 00:57:54 +0100

gmsh (2.5.0.dfsg-5) unstable; urgency=low

  * Team upload
  * Use libhdf5-mpi-dev instead of specific arch

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 31 Mar 2011 10:27:38 +0200

gmsh (2.5.0.dfsg-4) unstable; urgency=low

  [ Christophe Trophime ]
  * Add libhdf5-lam-dev / libhdf5-openmpi-dev to Build-Depends (Closes: #613056)

  [ Anton Gladky ]
  * nvidia-glx-dev is deleted from Build-Depends as it is not in sid any more.
  * "or" statements are deleted from Build-Depends, because of:
      http://lists.debian.org/debian-devel/2011/02/msg00738.html

 -- Anton Gladky <gladky.anton@gmail.com>  Wed, 30 Mar 2011 14:47:29 +0200

gmsh (2.5.0.dfsg-3) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
  * debian/copyright has been changed to machine-readable DEP-5 format
  * Old unused patches are removed
  * Updated license information, now GPL-2+ instead of GPL-2:
      http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=617931#10
  * Move mpi-default-bin from "Recommends" to "Depends". Closes: #605962
  * sensible-editor and sensible-browser are used. Closes: #618541
  * Fix spelling errors, fix-spelling-errors.patch

 -- Anton Gladky <gladky.anton@gmail.com>  Sat, 19 Mar 2011 09:52:13 +0100

gmsh (2.5.0.dfsg-2) unstable; urgency=low

  [Christophe Trophime]
  * Add openmp support
  * Add metis support : use scotchmetis

  [ Christophe Prud'homme ]
  * Upload

 -- Christophe Prud'homme <prudhomm@debian.org>  Thu, 28 Oct 2010 14:16:40 +0200

gmsh (2.5.0.dfsg-1) unstable; urgency=low

  [Christophe Prud'homme]
  * New upstream release

 -- Christophe Prud'homme <prudhomm@debian.org>  Tue, 19 Oct 2010 14:14:25 +0200

gmsh (2.5.0~svn20100831.dfsg-1) experimental; urgency=low

  [Christophe Prud'homme]
  * New version from svn (rev 7977) that fixes a crash in 2D plots

 -- Christophe Prud'homme <prudhomm@debian.org>  Tue, 31 Aug 2010 15:54:07 +0200

gmsh (2.5.0~svn20100808-3) experimental; urgency=low

  [Christophe Prud'homme]
  * debian/rules: create and package shared lib

 -- Christophe Prud'homme <prudhomm@debian.org>  Thu, 12 Aug 2010 13:28:48 +0200

gmsh (2.4.2.dfsg-7) unstable; urgency=low

  [Christophe Prud'homme]
  * debian/rules: create shared lib

 -- Christophe Prud'homme <prudhomm@debian.org>  Thu, 12 Aug 2010 13:11:26 +0200

gmsh (2.4.2.dfsg-6) unstable; urgency=low

  [Christophe Prud'homme]
  * debian/rules: add libGmsh.a to the gmsh package

 -- Christophe Prud'homme <prudhomm@debian.org>  Wed, 11 Aug 2010 14:59:41 +0200

gmsh (2.5.0~svn20100808-2) experimental; urgency=low

  [Christophe Prud'homme]
  * debian/rules: add libGmsh.a to the gmsh package

 -- Christophe Prud'homme <prudhomm@debian.org>  Wed, 11 Aug 2010 13:53:18 +0200

gmsh (2.5.0~svn20100808-1) experimental; urgency=low

  * New upstream release
  * Fixed all lintian source warnings
  * debian/control: updated to Standards-Version 3.9.1 (no change)

 -- Christophe Prud'homme <prudhomm@debian.org>  Sun, 08 Aug 2010 10:51:38 +0200

gmsh (2.5.0~svn20100728-1) experimental; urgency=low

  * New upstream release
  * debian/control: updated to Standards-Version 3.9.0

 -- Christophe Prud'homme <prudhomm@debian.org>  Wed, 28 Jul 2010 08:56:14 +0200

gmsh (2.5.0~svn20100727-1) experimental; urgency=low

  * New upstream release

 -- Christophe Prud'homme <prudhomm@debian.org>  Tue, 27 Jul 2010 10:33:38 +0200

gmsh (2.5.0~svn20100711-1) experimental; urgency=low

  [Christophe Prud'homme]
  * New upstream release

 -- Christophe Prud'homme <prudhomm@debian.org>  Sun, 11 Jul 2010 18:12:00 +0200

gmsh (2.4.2.dfsg-5) unstable; urgency=low

  [Christophe Prud'homme]
  * debian/control: add build-depends on mpi-default-dev
  * Bug fix: "please add med support", thanks to trophime (Closes:
    #585871).

 -- Christophe Prud'homme <prudhomm@debian.org>  Sun, 11 Jul 2010 14:01:31 +0200

gmsh (2.4.2.dfsg-4) unstable; urgency=low

  [Christophe Prud'homme]
  * moved gmsh from pkg-scicomp to Debian Science
  * Bug fix: "please add med support", thanks to trophime (Closes:
    #585871).

 -- Christophe Prud'homme <prudhomm@debian.org>  Fri, 25 Jun 2010 09:17:27 +0200

gmsh (2.4.2.dfsg-3) unstable; urgency=low

  [Christophe Prud'homme]
  * Bug fix: "FTBFS: make[1]: *** No rule to make target `default&#39;.
    Stop.", thanks to Lucas Nussbaum (Closes: #577316).

 -- Christophe Prud'homme <prudhomm@debian.org>  Thu, 27 May 2010 12:36:33 +0200

gmsh (2.4.2.dfsg-2) unstable; urgency=low

  * debian/control: now build with med-ficher support
  * debian/control: update standards-version to 3.8.4 (no change)

 -- Christophe Prud'homme <prudhomm@debian.org>  Tue, 09 Feb 2010 21:25:21 +0100

gmsh (2.4.2.dfsg-1) unstable; urgency=low

  [Christophe Prud'homme]
  * New upstream release
    + solver code refactoring
    + better IDE integration.

 -- Christophe Prud'homme <prudhomm@debian.org>  Sun, 27 Sep 2009 17:36:40 +0200

gmsh (2.4.1.dfsg-1) unstable; urgency=low

  [Christophe Prud'homme]
  * New upstream release
    + fixed surface mesh orientation bug introduced in 2.4.0;
    + mesh and graphics code refactoring;
    + small usability enhancements and bug fixes.



=== debian/control ===
Source: gmsh
Section: math
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Christophe Prud'homme <prudhomm@debian.org>, Anton Gladky <gladky.anton@gmail.com>
Build-Depends: debhelper (>= 8), cdbs, cmake, gfortran, libgl1-mesa-dev,
 libglu1-mesa-dev, libfltk1.1-dev (>=1.1.7),
 libpng12-dev, libjpeg62-dev, zlib1g-dev, texlive, texinfo,
 mpi-default-dev,
 libopencascade-modeling-dev,
 libcgns-dev (>= 2.5.3),
 libmed-dev (>= 2.3.6), libmedc-dev (>= 2.3.6) [alpha amd64 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc sparc], 
 libhdf5-mpi-dev [alpha amd64 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc sparc],
 libscotchmetis-dev,
 libblas-dev, liblapack-dev
Standards-Version: 3.9.2
DM-Upload-Allowed: yes
Vcs-Git: git://git.debian.org/git/debian-science/packages/gmsh.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/gmsh.git
Homepage: http://www.geuz.org/gmsh/

Package: gmsh
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcgns2 (>= 2.5.3), mpi-default-bin
Description: Three-dimensional finite element mesh generator
 Gmsh is an automatic 3D finite element mesh generator (primarily
 Delaunay) with build-in CAD and post-processing facilities. Its
 design goal is to provide a simple meshing tool for academic test
 cases with parametric input and up to date visualization
 capabilities.
 .
 Gmsh is built around four modules: geometry, mesh, solver and
 post-processing. The specification of any input to these modules is
 done either interactively using the graphical user interface or in
 ASCII text files using Gmsh's own scripting language.
 .
 See Gmsh's reference manual for a more thorough overview of Gmsh's
 capabilities.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses cdbs.  Originaly written by Robert Millan.
# This file is public domain.


DEB_AUTO_CLEANUP_RCS   := yes
DEB_COMPRESS_EXCLUDE   := .pdf

include /usr/share/cdbs/1/class/cmake.mk
include /usr/share/cdbs/1/rules/debhelper.mk

#ENABLE_MED=--enable-med
#ENABLE_MED=--disable-med

#export CXX=g++-4.3
#export CC=gcc-4.3
#export CFLAGS= -O3 -I/usr/include/opencascade
#export CXXFLAGS= -O3 -I/usr/include/opencascade

WITH_OCC=yes
WITH_MPI=no
ifeq ($(WITH_OCC),yes)
 CFLAGS += -I/usr/include/opencascade -DHAVE_NO_OCC_CONFIG_H
 CXXFLAGS += -I/usr/include/opencascade -DHAVE_NO_OCC_CONFIG_H
 CPPFLAGS += -I/usr/include/opencascade -DHAVE_NO_OCC_CONFIG_H
endif

# To enable med support
CFLAGS +=-I/usr/include/mpi  -DOMPI_SKIP_MPICXX
CXXFLAGS +=-I/usr/include/mpi  -DOMPI_SKIP_MPICXX
CPPFLAGS +=-I/usr/include/mpi  -DOMPI_SKIP_MPICXX

# To enable openmp support
CFLAGS +=-fopenmp
CXXFLAGS +=-fopenmp
CPPFLAGS +=-fopenmp
LDFLAGS += -fopenmp


# DEB_CONFIGURE_EXTRA_FLAGS :=       \
#   --host=$(DEB_HOST_GNU_TYPE)      \
#   --build=$(DEB_BUILD_GNU_TYPE)    \
#   --prefix=/usr                    \
#   --mandir=\$${prefix}/share/man   \
#   --infodir=\$${prefix}/share/info \
#   $(ENABLE_MED)                    \
#   --enable-cgns=yes                \
#   --enable-occ=$(WITH_OCC)         \
#   --enable-mpi=$(WITH_MPI)         \
#   --disable-metis --disable-tetgen \
#   --with-blas-lapack-prefix=/usr/lib

DEB_CMAKE_EXTRA_FLAGS= \
	-DENABLE_METIS=ON \
	-DENABLE_TAUCS=OFF \
	-DENABLE_CGNS=OFF \
	-DENABLE_MPI=ON \
	-DENABLE_MED=ON \
	-DENABLE_TETGEN=OFF

DEB_STRIPPED_UPSTREAM_VERSION = $(shell echo $(DEB_UPSTREAM_VERSION) | sed -n -e 's/\.dfsg.*$$//p')
GMSH_VERSION=$(DEB_STRIPPED_UPSTREAM_VERSION)

build/gmsh::
	cd $(DEB_BUILDDIR) && $(MAKE) lib
	cd $(DEB_BUILDDIR) && $(MAKE) shared
	# To avoid the texi2dvi pb add LC_ALL=C
	cd $(DEB_BUILDDIR) && $(MAKE) pdf html info LC_ALL=C

install/gmsh::
	-rm debian/gmsh/usr/share/doc/gmsh/LICENSE.txt

clean::
	-rm doc/texinfo/gmsh.vr doc/texinfo/gmsh.fn doc/texinfo/gmsh.ky doc/texinfo/gmsh.pg
	-rm doc/texinfo/gmsh.toc
	-rm doc/texinfo/gmsh.log
	-rm doc/texinfo/gmsh.cp
	-rm doc/texinfo/gmsh.tp
	-rm doc/texinfo/gmsh.tps
	-rm doc/texinfo/gmsh.cps
	-rm doc/texinfo/gmsh.aux

get-orig-source:
	uscan --force-download --rename --verbose --upstream-version $(GMSH_VERSION)
	tar xzf ../gmsh_$(GMSH_VERSION).orig.tar.gz
	mv gmsh-$(GMSH_VERSION)-source gmsh-$(GMSH_VERSION).dfsg
	cd gmsh-$(GMSH_VERSION).dfsg/contrib/Metis && rm *.c *.h
	cd gmsh-$(GMSH_VERSION).dfsg/contrib/Tetgen && rm *.cxx *.h
	tar czf gmsh_$(GMSH_VERSION).dfsg.orig.tar.gz gmsh-$(GMSH_VERSION).dfsg
	rm -rf gmsh-$(GMSH_VERSION).dfsg
	if test -d ../tarballs; then mv gmsh_$(GMSH_VERSION).dfsg.orig.tar.gz ../tarballs; fi

## gmsh 2.5.1~beta1~svn9373~dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Gmsh - Copyright (C) 1997-2010 C. Geuzaine, J.-F. Remacle
+# Gmsh - Copyright (C) 1997-2011 C. Geuzaine, J.-F. Remacle
 #
 # See the LICENSE.txt file for license information. Please report all
 # bugs and problems to <gmsh@geuz.org>.
@@ -16,7 +16,10 @@
 
 project(gmsh CXX C)
 
+option(ENABLE_ACIS "Enable ACIS geometrical models" ON)
 option(ENABLE_ANN "Enable ANN to compute Approximate Nearest Neighbors" ON)
+option(ENABLE_BAMG "Enable Bamg mesh generator" ON)
+option(ENABLE_BFGS "Enable BFGS" ON)
 option(ENABLE_BLAS_LAPACK "Use BLAS/Lapack for basic linear algebra" ON)
 option(ENABLE_CGNS "Enable CGNS mesh export" OFF)
 option(ENABLE_CHACO "Enable Chaco mesh partitioner" ON)
@@ -27,7 +30,6 @@
 option(ENABLE_GMM "Enable GMM linear algebra solvers" ON)
 option(ENABLE_GRAPHICS "Compile-in OpenGL graphics even if there is no GUI" OFF)
 option(ENABLE_KBIPACK "Enable Kbipack for homology solver" ON)
-option(ENABLE_LUA "Enable the Programming Language Lua " ON)
 option(ENABLE_MATCH "Enable Minimum cost perfect matching algo" ON)
 option(ENABLE_MATHEX "Enable MathEx expression parser" ON)
 option(ENABLE_MED "Enable MED mesh and post-processing file formats" ON)
@@ -38,25 +40,25 @@
 option(ENABLE_MSVC_STATIC_RUNTIME "Use static Visual C++ runtime" OFF)
 option(ENABLE_NATIVE_FILE_CHOOSER "Enable native file chooser in GUI" ON)
 option(ENABLE_NETGEN "Enable Netgen mesh generator" ON)
-option(ENABLE_BAMG "Enable Bamg mesh generator" ON)
 option(ENABLE_OCC "Enable Open CASCADE geometrical models" ON)
-option(ENABLE_ACIS "Enable ACIS geometrical models" ON)
 option(ENABLE_OSMESA "Use OSMesa for offscreen rendering" OFF)
 option(ENABLE_PARSER "Build the GEO file parser" ON)
 option(ENABLE_PETSC "Enable PETSc linear algebra solvers" ON)
+option(ENABLE_PLUGINS "Build the post-processing plugins" ON)
 option(ENABLE_POST "Build the post-processing module" ON)
-option(ENABLE_PLUGINS "Build the post-processing plugins" ON)
 option(ENABLE_QT "Build QT GUI" OFF)
 option(ENABLE_READLINE "Enable Readline in Lua prompt" ON)
+option(ENABLE_SALOME "Enable Salome routines for CAD healing" ON)
 option(ENABLE_SLEPC "Enable SLEPc eigensolvers" ON)
 option(ENABLE_SOLVER "Enable solver components" ON)
+option(ENABLE_SWIG "Enable swig" ON)
 option(ENABLE_TAUCS "Enable Taucs linear algebra solver" ON)
 option(ENABLE_TETGEN "Enable Tetgen mesh generator" ON)
 option(ENABLE_TETGEN_NEW "Enable experimental version of Tetgen" OFF)
 
 set(GMSH_MAJOR_VERSION 2)
 set(GMSH_MINOR_VERSION 5)
-set(GMSH_PATCH_VERSION 0)
+set(GMSH_PATCH_VERSION 1)
 set(GMSH_EXTRA_VERSION "" CACHE STRING "Gmsh extra version string")
 
 set(GMSH_VERSION "${GMSH_MAJOR_VERSION}.${GMSH_MINOR_VERSION}")
@@ -283,8 +285,3 @@
 
 if(ENABLE_SOLVER)
   add_subdirectory(Solver)
-  set_config_option(HAVE_SOLVER "Solver")
-endif(ENABLE_SOLVER)
-
-if(ENABLE_POST)
-  add_subdirectory(Post)

=== Geo/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Gmsh - Copyright (C) 1997-2010 C. Geuzaine, J.-F. Remacle
+# Gmsh - Copyright (C) 1997-2011 C. Geuzaine, J.-F. Remacle
 #
 # See the LICENSE.txt file for license information. Please report all
 # bugs and problems to <gmsh@geuz.org>.
@@ -15,12 +15,13 @@
   ACISEdge.cpp
   ACISFace.cpp
   GModel.cpp
-  GModelFactory.cpp
+    GModelVertexArrays.cpp
+    GModelFactory.cpp
     GModelIO_Geo.cpp
     GModelIO_Mesh.cpp
-    GModelIO_OCC.cpp
+    GModelIO_OCC.cpp 
+      OCC_Connect.cpp
     GModelIO_ACIS.cpp
-      OCC_Connect.cpp
     GModelIO_Fourier.cpp
     GModelIO_CGNS.cpp
     GModelIO_MED.cpp

=== Mesh/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Gmsh - Copyright (C) 1997-2010 C. Geuzaine, J.-F. Remacle
+# Gmsh - Copyright (C) 1997-2011 C. Geuzaine, J.-F. Remacle
 #
 # See the LICENSE.txt file for license information. Please report all
 # bugs and problems to <gmsh@geuz.org>.
@@ -12,7 +12,7 @@
       meshGFaceTransfinite.cpp meshGFaceExtruded.cpp 
       meshGFaceBamg.cpp meshGFaceBDS.cpp meshGFaceDelaunayInsertion.cpp 
       meshGFaceLloyd.cpp meshGFaceOptimize.cpp 
-      meshGFaceQuadrilateralize.cpp meshGFaceBoundaryLayer.cpp 
+      meshGFaceQuadrilateralize.cpp
     meshGRegion.cpp 
       meshGRegionDelaunayInsertion.cpp meshGRegionTransfinite.cpp 
       meshGRegionExtruded.cpp  meshGRegionCarveHole.cpp 
@@ -23,7 +23,9 @@
     BDS.cpp 
     HighOrder.cpp 
       highOrderSmoother.cpp 
-    meshPartition.cpp 
+      highOrderTools.cpp 
+    meshPartition.cpp
+    meshPartitionOptions.cpp
     meshRefine.cpp
     multiscalePartition.cpp
 )

=== Plugin/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Gmsh - Copyright (C) 1997-2010 C. Geuzaine, J.-F. Remacle
+# Gmsh - Copyright (C) 1997-2011 C. Geuzaine, J.-F. Remacle
 #
 # See the LICENSE.txt file for license information. Please report all
 # bugs and problems to <gmsh@geuz.org>.
@@ -24,7 +24,8 @@
   HarmonicToTime.cpp ModulusPhase.cpp
   HomologyComputation.cpp
   Distance.cpp ExtractEdges.cpp NearestNeighbor.cpp
-  AnalyseCurvedMesh.cpp
+  AnalyseCurvedMesh.cpp FieldFromAmplitudePhase.cpp
+  Bubbles.cpp
 )
 
 file(GLOB HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h)

=== Solver/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Gmsh - Copyright (C) 1997-2010 C. Geuzaine, J.-F. Remacle
+# Gmsh - Copyright (C) 1997-2011 C. Geuzaine, J.-F. Remacle
 #
 # See the LICENSE.txt file for license information. Please report all
 # bugs and problems to <gmsh@geuz.org>.
@@ -15,9 +15,11 @@
   multiscaleLaplace.cpp
   function.cpp
   functionDerivator.cpp
-  luaFunction.cpp
   functionSpace.cpp
   filters.cpp
+  sparsityPattern.cpp
+  STensor43.cpp
+  terms.cpp
 )
 
 file(GLOB HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h)

=== debian/changelog ===
gmsh (2.5.1~beta1~svn9373~dfsg-1) unstable; urgency=low

  * [5cf0714] Disable Metis. Packaged version of Metis does not support
      some new functions, itroduced in gmsh.
  * [e6b9db7] Change compat to 8.
  * [19d2bdf] Switch debian/rules to dh.
  * [e6404c4] Fix some typos.
  * [ad1f7c7] Delete prerm file.
  * [e46bffc] Link with packaged gl2ps instead of shipped with the 
      source (fix lintian error).
  * [fa15729] Change name of lib-file (fix lintian error).
  * [4e75a8e] Imported Upstream version 2.5.1~beta1~svn9373~dfsg

 -- Anton Gladky <gladky.anton@gmail.com>  Sun, 05 Jun 2011 21:14:37 +0200

=== debian/rules ===
#!/usr/bin/make -f
BUILDDIR = $(CURDIR)/debian/build

%:
	dh $@ --buildsystem=cmake --builddirectory=$(BUILDDIR)

extra_flags += -DCMAKE_CXX_FLAGS="-DMPICH_SKIP_MPICXX -DOMPI_SKIP_MPICXX -fopenmp -lgl2ps -lGL -lglut" -DCMAKE_INCLUDE_PATH:="/usr/include/mpi"

override_dh_auto_clean:
	rm -rf $(BUILDDIR)
	rm -f doc/texinfo/gmsh.vr 
	rm -f doc/texinfo/gmsh.fn 
	rm -f doc/texinfo/gmsh.ky 
	rm -f doc/texinfo/gmsh.pg
	rm -f doc/texinfo/gmsh.toc
	rm -f doc/texinfo/gmsh.log
	rm -f doc/texinfo/gmsh.cp
	rm -f doc/texinfo/gmsh.tp
	rm -f doc/texinfo/gmsh.tps
	rm -f doc/texinfo/gmsh.cps
	rm -f doc/texinfo/gmsh.aux
	rm -f doc/texinfo/gmsh.html
	rm -f doc/texinfo/gmsh.pdf
	rm -f doc/texinfo/gmsh.info

override_dh_auto_configure:
	dh_auto_configure -- $(extra_flags)

override_dh_auto_build:
	dh_auto_build
	dh_auto_build -- lib
	dh_auto_build -- shared
	# To avoid the texi2dvi pb add LC_ALL=C
	dh_auto_build -- pdf html info LC_ALL=C

## gmsh 2.5.1~beta1~svn9559~dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -35,6 +35,7 @@
 option(ENABLE_MED "Enable MED mesh and post-processing file formats" ON)
 option(ENABLE_MESH "Build the mesh module" ON)
 option(ENABLE_METIS "Enable Metis mesh partitioner" ON)
+option(ENABLE_MMG3D "Enable 3D Mobile Mesh Generation" ON)
 option(ENABLE_MPEG_ENCODE "Enable built-in MPEG encoder" ON)
 option(ENABLE_MPI "Enable MPI parallelization" OFF)
 option(ENABLE_MSVC_STATIC_RUNTIME "Use static Visual C++ runtime" OFF)
@@ -47,6 +48,7 @@
 option(ENABLE_PLUGINS "Build the post-processing plugins" ON)
 option(ENABLE_POST "Build the post-processing module" ON)
 option(ENABLE_QT "Build QT GUI" OFF)
+option(ENABLE_RBF "Enable RBF project" OFF)
 option(ENABLE_READLINE "Enable Readline in Lua prompt" ON)
 option(ENABLE_SALOME "Enable Salome routines for CAD healing" ON)
 option(ENABLE_SLEPC "Enable SLEPc eigensolvers" ON)
@@ -74,7 +76,7 @@
     Numeric/simpleFunction.h Numeric/cartesian.h
   Geo/GModel.h Geo/GEntity.h Geo/GPoint.h Geo/GVertex.h Geo/GEdge.h 
     Geo/GFace.h Geo/GRegion.h Geo/GEdgeLoop.h Geo/GEdgeCompound.h 
-    Geo/GFaceCompound.h Geo/GRegionCompound.h Geo/MVertex.h Geo/MEdge.h 
+    Geo/GFaceCompound.h Geo/GRegionCompound.h Geo/GRbf.h Geo/MVertex.h Geo/MEdge.h 
     Geo/MFace.h Geo/MElement.h Geo/MPoint.h Geo/MLine.h Geo/MTriangle.h 
     Geo/MQuadrangle.h Geo/MTetrahedron.h Geo/MHexahedron.h Geo/MPrism.h 
     Geo/MPyramid.h Geo/MElementCut.h Geo/discreteVertex.h Geo/discreteEdge.h
@@ -280,8 +282,3 @@
 
 if(ENABLE_MESH)
   add_subdirectory(Mesh)
-  set_config_option(HAVE_MESH "Mesh")
-endif(ENABLE_MESH)
-
-if(ENABLE_SOLVER)
-  add_subdirectory(Solver)

=== Common/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Gmsh - Copyright (C) 1997-2010 C. Geuzaine, J.-F. Remacle
+# Gmsh - Copyright (C) 1997-2011 C. Geuzaine, J.-F. Remacle
 #
 # See the LICENSE.txt file for license information. Please report all
 # bugs and problems to <gmsh@geuz.org>.
@@ -13,7 +13,6 @@
   OS.cpp
   OpenFile.cpp
   CreateFile.cpp
-  LuaBindings.cpp
   VertexArray.cpp
   SmoothData.cpp
   Octree.cpp 
@@ -23,7 +22,6 @@
   TreeUtils.cpp avl.cpp
   MallocUtils.cpp
   ConnectionManager.cpp
-  Bindings.cpp
 )
 
 file(GLOB HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h)

=== Fltk/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Gmsh - Copyright (C) 1997-2010 C. Geuzaine, J.-F. Remacle
+# Gmsh - Copyright (C) 1997-2011 C. Geuzaine, J.-F. Remacle
 #
 # See the LICENSE.txt file for license information. Please report all
 # bugs and problems to <gmsh@geuz.org>.

=== Geo/CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,8 @@
 set(SRC
   GEntity.cpp STensor3.cpp
     GVertex.cpp GEdge.cpp GFace.cpp GRegion.cpp
-    GEdgeLoop.cpp GEdgeCompound.cpp GFaceCompound.cpp GRegionCompound.cpp
+    GEdgeLoop.cpp GEdgeCompound.cpp GFaceCompound.cpp
+  GRegionCompound.cpp GRbf.cpp
     gmshVertex.cpp gmshEdge.cpp gmshFace.cpp gmshRegion.cpp gmshSurface.cpp
     OCCVertex.cpp OCCEdge.cpp OCCFace.cpp OCCRegion.cpp
     discreteEdge.cpp discreteFace.cpp discreteRegion.cpp
@@ -38,6 +39,7 @@
     MHexahedron.cpp MPrism.cpp MPyramid.cpp MElementCut.cpp
   MZone.cpp MZoneBoundary.cpp
   Cell.cpp CellComplex.cpp ChainComplex.cpp Homology.cpp
+  Curvature.cpp
 )
 
 file(GLOB HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h)

=== Graphics/CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,10 @@
-# Gmsh - Copyright (C) 1997-2010 C. Geuzaine, J.-F. Remacle
+# Gmsh - Copyright (C) 1997-2011 C. Geuzaine, J.-F. Remacle
 #
 # See the LICENSE.txt file for license information. Please report all
 # bugs and problems to <gmsh@geuz.org>.
 
 set(SRC
+  Camera.cpp 
   Trackball.cpp 
   ReadImg.cpp 
   drawContext.cpp

=== Mesh/CMakeLists.txt ===
--- 
+++ 
@@ -16,7 +16,7 @@
     meshGRegion.cpp 
       meshGRegionDelaunayInsertion.cpp meshGRegionTransfinite.cpp 
       meshGRegionExtruded.cpp  meshGRegionCarveHole.cpp 
-      meshGRegionLocalMeshMod.cpp
+      meshGRegionLocalMeshMod.cpp meshGRegionMMG3D.cpp
     BackgroundMesh.cpp 
     qualityMeasures.cpp 
     BoundaryLayers.cpp

=== Numeric/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Gmsh - Copyright (C) 1997-2010 C. Geuzaine, J.-F. Remacle
+# Gmsh - Copyright (C) 1997-2011 C. Geuzaine, J.-F. Remacle
 #
 # See the LICENSE.txt file for license information. Please report all
 # bugs and problems to <gmsh@geuz.org>.

=== Parser/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Gmsh - Copyright (C) 1997-2010 C. Geuzaine, J.-F. Remacle
+# Gmsh - Copyright (C) 1997-2011 C. Geuzaine, J.-F. Remacle
 #
 # See the LICENSE.txt file for license information. Please report all
 # bugs and problems to <gmsh@geuz.org>.

=== Plugin/CMakeLists.txt ===
--- 
+++ 
@@ -6,16 +6,16 @@
 set(SRC
   Plugin.cpp PluginManager.cpp
   Levelset.cpp
-    CutPlane.cpp CutSphere.cpp Isosurface.cpp 
+    CutPlane.cpp CutSphere.cpp Isosurface.cpp
   Smooth.cpp CutParametric.cpp
   Lambda2.cpp
   Eigenvectors.cpp Eigenvalues.cpp
-  StreamLines.cpp Particles.cpp CutGrid.cpp
+  StreamLines.cpp Particles.cpp CutGrid.cpp CutBox.cpp
   Transform.cpp
     LongitudeLatitude.cpp
   Triangulate.cpp Tetrahedralize.cpp
   Warp.cpp SphericalRaise.cpp
-  Skin.cpp GSHHS.cpp 
+  Skin.cpp GSHHS.cpp
   MathEval.cpp ModifyComponent.cpp ExtractElements.cpp
   MakeSimplex.cpp
   Integrate.cpp Gradient.cpp Curl.cpp Divergence.cpp
@@ -25,8 +25,9 @@
   HomologyComputation.cpp
   Distance.cpp ExtractEdges.cpp NearestNeighbor.cpp
   AnalyseCurvedMesh.cpp FieldFromAmplitudePhase.cpp
-  Bubbles.cpp
+  Bubbles.cpp NearToFarField.cpp
+  DiscretizationError.cpp
 )
 
-file(GLOB HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h) 
+file(GLOB HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h)
 append_gmsh_src(Plugin "${SRC};${HDR}")

=== Post/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Gmsh - Copyright (C) 1997-2010 C. Geuzaine, J.-F. Remacle
+# Gmsh - Copyright (C) 1997-2011 C. Geuzaine, J.-F. Remacle
 #
 # See the LICENSE.txt file for license information. Please report all
 # bugs and problems to <gmsh@geuz.org>.

=== Qt/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Gmsh - Copyright (C) 1997-2010 C. Geuzaine, J.-F. Remacle
+# Gmsh - Copyright (C) 1997-2011 C. Geuzaine, J.-F. Remacle
 #
 # See the LICENSE.txt file for license information. Please report all
 # bugs and problems to <gmsh@geuz.org>.

=== Solver/CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,7 @@
   linearSystem.cpp
   linearSystemCSR.cpp
   linearSystemPETSc.cpp
+  dofManager.cpp
   groupOfElements.cpp
   elasticityTerm.cpp
   elasticitySolver.cpp

=== debian/changelog ===
gmsh (2.5.1~beta1~svn9559~dfsg-2) unstable; urgency=low

  * [6215c99] Update FTBFS with ld --as-needed. 
      Thanks to Julian Taylor <jtaylor.debian@googlemail.com>
      (Closes: #633459)

 -- Anton Gladky <gladky.anton@gmail.com>  Sun, 10 Jul 2011 20:21:49 +0200

gmsh (2.5.1~beta1~svn9559~dfsg-1) unstable; urgency=low

  * [7a54011] Imported Upstream version 2.5.1~beta1~svn9559~dfsg:
      - fixed segmentation fault when creating 3d mesh (Closes: #607875)
      - gmsh returns a non-zero exit code, if an error appears during work 
        (Closes: #613568)
  * [c176e62] Update some patches (small changes).

 -- Anton Gladky <gladky.anton@gmail.com>  Wed, 06 Jul 2011 20:10:06 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Christophe Prud'homme <prudhomm@debian.org>, Anton Gladky <gladky.anton@gmail.com>
-Build-Depends: debhelper (>= 8), cdbs, cmake, gfortran, libgl1-mesa-dev,
+Build-Depends: debhelper (>= 8), cmake, gfortran, libgl1-mesa-dev,
  libglu1-mesa-dev, libfltk1.1-dev (>=1.1.7),
  libpng12-dev, libjpeg62-dev, zlib1g-dev, texlive, texinfo,
  mpi-default-dev,
@@ -12,7 +12,7 @@
  libmed-dev (>= 2.3.6), libmedc-dev (>= 2.3.6) [alpha amd64 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc sparc], 
  libhdf5-mpi-dev [alpha amd64 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc sparc],
  libscotchmetis-dev,
- libblas-dev, liblapack-dev
+ libblas-dev, liblapack-dev, libgl2ps-dev, freeglut3-dev
 Standards-Version: 3.9.2
 DM-Upload-Allowed: yes
 Vcs-Git: git://git.debian.org/git/debian-science/packages/gmsh.git

## gmsh 2.5.1~beta1~svn9724~dfsg

=== Geo/CMakeLists.txt ===
--- 
+++ 
@@ -40,6 +40,7 @@
   MZone.cpp MZoneBoundary.cpp
   Cell.cpp CellComplex.cpp ChainComplex.cpp Homology.cpp
   Curvature.cpp
+  MVertexBoundaryLayerData.cpp
 )
 
 file(GLOB HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h)

=== Mesh/CMakeLists.txt ===
--- 
+++ 
@@ -28,6 +28,8 @@
     meshPartitionOptions.cpp
     meshRefine.cpp
     multiscalePartition.cpp
+    QuadTriUtils.cpp
+      QuadTriExtruded2D.cpp QuadTriExtruded3D.cpp QuadTriTransfinite3D.cpp
 )
 
 file(GLOB HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h)

=== debian/changelog ===
gmsh (2.5.1~beta1~svn9724~dfsg-1) unstable; urgency=low

  * [24356cb] Replace  libjpeg62-dev by libjpeg-dev (Closes: #635688)
  * [7f8fa66] Imported Upstream version 2.5.1~beta1~svn9724~dfsg

 -- Anton Gladky <gladky.anton@gmail.com>  Thu, 11 Aug 2011 23:28:43 +0300
